< Back


# Packages

-  package root
  Definition Classes
    root
-  package uritemplate
  Definition Classes
    root
-  object URITemplateParser
  Definition Classes
    uritemplate
- URITemplateParsers

c

uritemplate.URITemplateParser

# URITemplateParsers

###

#### class URITemplateParsers extends RegexParsers

Linear Supertypes
RegexParsers, Parsers, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. URITemplateParsers
2. RegexParsers
3. Parsers
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new URITemplateParsers()

### Type Members

1.  type Elem = Char
   Definition Classes
     RegexParsers → Parsers
2.  case class Error extends NoSuccess with Product with Serializable
   Definition Classes
     Parsers
3.  case class Failure extends NoSuccess with Product with Serializable
   Definition Classes
     Parsers
4.  type Input = Reader[Elem]
   Definition Classes
     Parsers
5.  sealed abstract class NoSuccess extends ParseResult[Nothing]
   Definition Classes
     Parsers
6.  trait OnceParser[+T] extends Parser[T]
   Definition Classes
     Parsers
7.  sealed abstract class ParseResult[+T] extends AnyRef
   Definition Classes
     Parsers
8.  abstract class Parser[+T] extends (Input) => ParseResult[T]
   Definition Classes
     Parsers
9.  case class Success[+T] extends ParseResult[T] with Product with Serializable
   Definition Classes
     Parsers
10.  case class ~[+a, +b] extends Product with Serializable
    Definition Classes
      Parsers

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def %(from: Int, to: Int): Parser[Elem]
4.  def %(v: Int): Parser[Elem]
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  lazy val ALPHA: Regex
7.  lazy val DIGIT: Regex
8.  lazy val HEXDIG: Regex
9.  def OnceParser[T](f: (Input) => ParseResult[T]): Parser[T] with OnceParser[T]
   Definition Classes
     Parsers
10.  def Parser[T](f: (Input) => ParseResult[T]): Parser[T]
    Definition Classes
      Parsers
11.  lazy val U: Parser[Lit with Product with Serializable]
12.  lazy val U+R: Parser[Lit with Product with Serializable]
13.  def accept[U](expected: String, f: PartialFunction[Elem, U]): Parser[U]
    Definition Classes
      Parsers
14.  def accept[ES](es: ES)(implicit f: (ES) => List[Elem]): Parser[List[Elem]]
    Definition Classes
      Parsers
15.  implicit def accept(e: Elem): Parser[Elem]
    Definition Classes
      Parsers
16.  def acceptIf(p: (Elem) => Boolean)(err: (Elem) => String): Parser[Elem]
    Definition Classes
      Parsers
17.  def acceptMatch[U](expected: String, f: PartialFunction[Elem, U]): Parser[U]
    Definition Classes
      Parsers
18.  def acceptSeq[ES](es: ES)(implicit f: (ES) => Iterable[Elem]): Parser[List[Elem]]
    Definition Classes
      Parsers
19.  lazy val anyChar: Parser[Elem]
20.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
21.  def chainl1[T, U](first: => Parser[T], p: => Parser[U], q: => Parser[(T, U) => T]): Parser[T]
    Definition Classes
      Parsers
22.  def chainl1[T](p: => Parser[T], q: => Parser[(T, T) => T]): Parser[T]
    Definition Classes
      Parsers
23.  def chainr1[T, U](p: => Parser[T], q: => Parser[(T, U) => U], combine: (T, U) => U, first: U): Parser[U]
    Definition Classes
      Parsers
24.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
25.  def commit[T](p: => Parser[T]): Parser[T]
    Definition Classes
      Parsers
26.  def elem(e: Elem): Parser[Elem]
    Definition Classes
      Parsers
27.  def elem(kind: String, p: (Elem) => Boolean): Parser[Elem]
    Definition Classes
      Parsers
28.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
29.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
30.  def err(msg: String): Parser[Nothing]
    Definition Classes
      Parsers
31.  lazy val explode: Parser[Explode.type]
32.  lazy val expression: Parser[Expression with Product with Serializable]
33.  def failure(msg: String): Parser[Nothing]
    Definition Classes
      Parsers
34.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
35.  lazy val genDelims: Parser[String]
36.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
37.  def guard[T](p: => Parser[T]): Parser[T]
    Definition Classes
      Parsers
38.  def handleWhiteSpace(source: CharSequence, offset: Int): Int
    Attributes
      protected
    Definition Classes
      RegexParsers
39.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
40.  lazy val iprivate: Parser[Unencoded]
41.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
42.  implicit def literal(s: String): Parser[String]
    Definition Classes
      RegexParsers
43.  lazy val literal: Parser[Lit]
44.  def log[T](p: => Parser[T])(name: String): Parser[T]
    Definition Classes
      Parsers
45.  def mkList[T]: (~[T, List[T]]) => List[T]
    Definition Classes
      Parsers
46.  lazy val modifierLevel4: Parser[Product with Modifier with Serializable]
47.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
48.  def not[T](p: => Parser[T]): Parser[Unit]
    Definition Classes
      Parsers
49.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
50.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
51.  lazy val opReserve: Parser[Nothing]
52.  lazy val operator: Parser[AbstractFunction1[List[VarSpec], Expression with Product with Serializable]]
53.  def opt[T](p: => Parser[T]): Parser[Option[T]]
    Definition Classes
      Parsers
54.  def parse[T](p: Parser[T], in: Reader): ParseResult[T]
    Definition Classes
      RegexParsers
55.  def parse[T](p: Parser[T], in: CharSequence): ParseResult[T]
    Definition Classes
      RegexParsers
56.  def parse[T](p: Parser[T], in: Reader[Char]): ParseResult[T]
    Definition Classes
      RegexParsers
57.  def parseAll[T](p: Parser[T], in: CharSequence): ParseResult[T]
    Definition Classes
      RegexParsers
58.  def parseAll[T](p: Parser[T], in: Reader): ParseResult[T]
    Definition Classes
      RegexParsers
59.  def parseAll[T](p: Parser[T], in: Reader[Char]): ParseResult[T]
    Definition Classes
      RegexParsers
60.  lazy val pctEncoded: Parser[String]
61.  def phrase[T](p: Parser[T]): Parser[T]
    Definition Classes
      RegexParsers → Parsers
62.  def positioned[T <: Positional](p: => Parser[T]): Parser[T]
    Definition Classes
      RegexParsers → Parsers
63.  lazy val prefix: Parser[Prefix]
64.  implicit def regex(r: Regex): Parser[String]
    Definition Classes
      RegexParsers
65.  def rep[T](p: => Parser[T]): Parser[List[T]]
    Definition Classes
      Parsers
66.  def rep1[T](first: => Parser[T], p0: => Parser[T]): Parser[List[T]]
    Definition Classes
      Parsers
    Annotations
      @migration
    Migration

      (Changed in version 2.9.0) The `p0` call-by-name arguments is evaluated at most once per constructed Parser object, instead of on every need that arises during parsing.

67.  def rep1[T](p: => Parser[T]): Parser[List[T]]
    Definition Classes
      Parsers
68.  def rep1sep[T](p: => Parser[T], q: => Parser[Any]): Parser[List[T]]
    Definition Classes
      Parsers
69.  def repN[T](num: Int, p: => Parser[T]): Parser[List[T]]
    Definition Classes
      Parsers
70.  def repsep[T](p: => Parser[T], q: => Parser[Any]): Parser[List[T]]
    Definition Classes
      Parsers
71.  lazy val reserved: Parser[Encoded]
72.  def skipWhitespace: Boolean
    Definition Classes
      URITemplateParsers → RegexParsers
73.  lazy val subDelims: Parser[String]
74.  def success[T](v: T): Parser[T]
    Definition Classes
      Parsers
75.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
76.  lazy val template: Parser[URITemplate]
77.  def toString(): String
    Definition Classes
      AnyRef → Any
78.  lazy val ucschar: Parser[Unencoded]
79.  lazy val unencodedLit: Parser[Unencoded]
80.  lazy val unreserved: Parser[Encoded]
81.  lazy val varchar: Parser[String]
82.  lazy val variableList: Parser[List[VarSpec]]
83.  lazy val varname: Parser[String]
84.  lazy val varspec: Parser[VarSpec]
85.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
86.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
87.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
88.  val whiteSpace: Regex
    Attributes
      protected
    Definition Classes
      RegexParsers

### Inherited from RegexParsers

### Inherited from Parsers

### Inherited from AnyRef

### Inherited from Any

### Ungrouped